#ifndef INC_PLAYERCLASS_H
#define INC_PLAYERCLASS_H

#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>
#include "SpriteClass.h"
#include "SoundClass.h"
#include "defines.h"
#include "gmath.h"

class Player
{
	private:
		int x, y, w, h, myangle, current_triangle[4];		
        double hspeed, vspeed, image_index;
        unsigned char images, image_speed, img_w, img_h, weapon;
        unsigned int tex_w, tex_h;
        char sprite_index;
        bool facing, animated, hanging_left, hanging_right, attacking;     
	public:
		Player();
		void show(Uint8 *keystates, unsigned int terrain_grid[][9], int, int, int, int);
		void move(Uint8 *keystates, unsigned int terrain_grid[][9], unsigned int);
		void jump(Uint8 *keystates, unsigned int terrain_grid[][9]);
		void switch_weapons();
        void destroy();
        void check_hanging(unsigned int terrain_grid[][9]);
        void update_sprite(unsigned int terrain_grid[][9]);        
        bool get_destroyed();
        int get_x() {return x;};
        int get_y() {return y;};
        int get_image_index() {return (int)round(image_index);};
        int get_weapon() {return weapon;};        
        double get_hspeed() {return hspeed;};
        double get_vspeed() {return vspeed;};    
        bool get_facing() {return facing;};    
		bool get_hanging_r() { return hanging_right; };    
		bool get_hanging_l() { return hanging_left; };	
		void set_hanging_r( bool val ) { hanging_right = val; };		
		void set_hanging_l( bool val ) { hanging_left = val; };		
        void set_x( int _x );
        void set_y( int _y );
        void set_xy( int _x, int _y );
		bool can_move( unsigned int terrain_grid[][9], int _x, int _y );
		bool pl_place_free( unsigned int terrain_grid[][9], int _x, int _y );	
		bool set_sprite( unsigned char sprite );
		void set_attacking( bool atk );
		bool get_animated( ) { return animated;};				
		void set_animated( bool anim ) { animated = anim;};		
		bool get_attacking() { return attacking; };  
		void set_my_triangles(unsigned int [][9], unsigned int );				
};

#endif /* INC_PLAYERCLASS_H */
