#include "../headers/gmath.h"
#include <SDL/SDL.h>
#include <SDL/SDL_gfxPrimitives.h>
#include <SDL/SDL_opengl.h>

#include "../headers/GoToRoomClass.h"
#include "../headers/PlayerClass.h"

extern Player myplayer;

GoToRoom::GoToRoom()
{
	x = -100, y = -100, destroyed = 1;
}

void GoToRoom::create( int _x, int _y )
{
    destroyed = 0, x = _x, y = _y;
} 

int GoToRoom::step()
{
	int level = -1;
	//returns what room it should go to
	if ( point_distance( (double) x, (double) y, (double) myplayer.get_x(), (double) myplayer.get_y() ) < 32 )
	{
		if ( myplayer.get_x() < 100 && myplayer.get_hspeed() < 0 )		
			level = 0;
		else if ( myplayer.get_x() > 600 && myplayer.get_hspeed() > 0 )
			level = 1;
	}
	return level;
}

bool GoToRoom::get_destroyed()
{
    return destroyed;
}

void GoToRoom::destroy()
{
    destroyed = 1;
}
